Summary:	A libinput-based X.org input driver
Summary(pl.UTF-8):	Sterownik wejściowy X.org oparty na libinput
Name:		xorg-driver-input-libinput
Version:	1.5.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-input-libinput-%{version}.tar.xz
# Source0-md5:	f8d0fb6987d843e688d597c2b66ec824
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libinput-devel >= 1.26.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-proto-inputproto-devel >= 2.3.99.1
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.19
BuildRequires:	xz
%{?requires_xorg_xserver_xinput}
Requires:	libinput >= 1.26.0
Requires:	xorg-xserver-server >= 1.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an X driver based on libinput. It is a thin wrapper around
libinput, so while it does provide all features that libinput supports
it does little beyond.

%description -l pl.UTF-8
Sterownik wejściowy X oparty na libinput. Jest to bardzo cienkie
obudowanie biblioteki libinput, więc udostępnia wszystkie funkcje
obsługiwane przez libinput, ale niewiele poza tym.

%package devel
Summary:	Header file for libinput driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika libinput
Group:		Development/Libraries

%description devel
Header file for libinput driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika libinput.

%prep
%setup -q -n xf86-input-libinput-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-xorg-conf-dir=/etc/X11/xorg.conf.d \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xorg.conf.d/40-libinput.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/libinput_drv.so
%{_mandir}/man4/libinput.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/libinput-properties.h
%{_pkgconfigdir}/xorg-libinput.pc
%changelog
* Wed Oct 16 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-libinput.git;a=log;h=master

* Tue Oct 15 2024 Jan Palus <atler@pld-linux.org> db359da
- up to 1.5.0

* Fri Aug 25 2023 Jan Palus <atler@pld-linux.org> 91fcd66
- up to 1.4.0

* Tue Apr 04 2023 Jan Palus <atler@pld-linux.org> e5914f5
- up to 1.3.0

* Sat Mar 19 2022 Jan Rękorajski <baggins@pld-linux.org> 06c1942
- mark config file in /etc as config, rel 2

* Tue Jan 25 2022 Jan Palus <atler@pld-linux.org> ca0314c
- up to 1.2.1

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> 8ecf2b5
- up to 1.2.0

* Thu Jun 24 2021 Jan Palus <atler@pld-linux.org> 2ff8cd2
- up to 1.1.0

* Fri Apr 16 2021 Jan Palus <atler@pld-linux.org> 3d462f5
- up to 1.0.1

* Tue Apr 06 2021 Jan Palus <atler@pld-linux.org> 921908c
- up to 1.0.0

* Tue May 19 2020 Jan Palus <atler@pld-linux.org> 3a26748
- up to 0.30.0

* Mon Aug 12 2019 Jan Palus <atler@pld-linux.org> 667a906
- up to 0.29.0

* Mon Feb 04 2019 Jan Palus <atler@pld-linux.org> e9e18dd
- up to 0.28.2

* Mon Oct 15 2018 Jan Palus <atler@pld-linux.org> 7e03413
- up to 0.28.1

* Wed Jul 11 2018 Jan Palus <atler@pld-linux.org> 98ed4f2
- up to 0.28.0

* Tue Apr 10 2018 Jan Palus <atler@pld-linux.org> 0b34f0f
- up to 0.27.1

* Tue Mar 27 2018 Jan Palus <atler@pld-linux.org> c772269
- up to 0.27.0

* Tue Sep 19 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 7830648
- up to 0.26.0

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 3a1d8f6
- updated to 0.25.1

* Fri Mar 10 2017 Jakub Bogusz <qboosh@pld-linux.org> a9608fa
- updated to 0.25.0

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 979c42d
- updated to 0.24.0

